import { TableSeg, HeaderCellObj } from '@fullcalendar/daygrid/internal';
import { VResourceJoiner, AbstractResourceDayTableModel, ResourceViewProps, Resource } from '@fullcalendar/resource/internal';
import { DateComponent, Hit, BaseComponent, DateMarker, ViewContext } from '@fullcalendar/core/internal';
import { createElement, Ref } from '@fullcalendar/core/preact';

declare class ResourceDayTableJoiner extends VResourceJoiner<TableSeg> {
    transformSeg(seg: TableSeg, resourceDayTableModel: AbstractResourceDayTableModel, resourceI: number): TableSeg[];
}

declare class ResourceDayGridView extends DateComponent<ResourceViewProps> {
    private flattenResources;
    private buildResourceDayTableModel;
    private createDayHeaderFormatter;
    private resourceDayTableModel;
    private splitter;
    private slicers;
    private joiner;
    render(): createElement.JSX.Element;
    isHitComboAllowed: (hit0: Hit, hit1: Hit) => boolean;
}

interface ResourceHeaderCellProps {
    resource: Resource;
    date?: DateMarker;
    colSpan: number;
    isSticky?: boolean;
    colWidth?: number;
    innerHeightRef?: Ref<number>;
}
declare class ResourceHeaderCell extends BaseComponent<ResourceHeaderCellProps> {
    private innerElRef;
    private disconectInnerHeight?;
    render(): createElement.JSX.Element;
    componentDidMount(): void;
    componentWillUnmount(): void;
}

type ResourceDateHeaderCellObj = {
    resource: Resource;
    date?: DateMarker;
    colSpan: number;
};
type ResourceHeaderCellObj = ResourceDateHeaderCellObj | HeaderCellObj;
declare function buildResourceHeaderTiers(resources: Resource[], dates: DateMarker[], datesAboveResources: boolean, datesRepDistinctDays: boolean, context: ViewContext): ResourceHeaderCellObj[][];

export { ResourceDateHeaderCellObj, ResourceDayGridView, ResourceDayTableJoiner, ResourceHeaderCell, ResourceHeaderCellObj, buildResourceHeaderTiers };
